package ii

import (
	"golib/v2/features/mo"
)

type User interface {
	ID() mo.ObjectID
	Name() string
	Flag() bool
	IsSysadmin() bool
	Company() mo.ObjectID
	CompanyALL() mo.A
	Group(name string) bool
	Role(group string) (string, bool)
	Perms(group string) ([]string, bool)
	Get(k string) any
}
